> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Machines

> Probe the dimensions endpoint for all connected machines in scope.

Scope rules:
- Standard keys/JWT: only machines in the authenticated organization
- Cyberdesk root API key: machines across all organizations



## OpenAPI

````yaml /openapi.json get /v1/health/machines
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/health/machines:
    get:
      tags:
        - health
      summary: Health Machines
      description: |-
        Probe the dimensions endpoint for all connected machines in scope.

        Scope rules:
        - Standard keys/JWT: only machines in the authenticated organization
        - Cyberdesk root API key: machines across all organizations
      operationId: health_machines_v1_health_machines_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MachinesHealthCheckResponse'
        '503':
          description: One or more connected machines failed dimensions health probes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MachinesHealthCheckResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    MachinesHealthCheckResponse:
      properties:
        status:
          type: string
          enum:
            - ok
            - error
          title: Status
        scope:
          type: string
          enum:
            - organization
            - all_organizations
          title: Scope
        checked_machines:
          type: integer
          title: Checked Machines
        healthy_machines:
          type: integer
          title: Healthy Machines
        errored_machines:
          items:
            $ref: '#/components/schemas/MachineHealthCheckError'
          type: array
          title: Errored Machines
        message:
          type: string
          title: Message
      type: object
      required:
        - status
        - scope
        - checked_machines
        - healthy_machines
        - errored_machines
        - message
      title: MachinesHealthCheckResponse
    MachineHealthCheckError:
      properties:
        machine_id:
          type: string
          title: Machine Id
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        machine_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Machine Name
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        error:
          type: string
          title: Error
      type: object
      required:
        - machine_id
        - error
      title: MachineHealthCheckError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````